import type { PromptConfig, PromptDefinition } from "../types";
declare class MCPPrompt {
    private _definition;
    private fn;
    constructor({ name, description, args, fn }: PromptConfig);
    get definition(): PromptDefinition;
    callFn(...args: any): Promise<any>;
    static create(config: PromptConfig): MCPPrompt;
    static mocked(): {
        name: string;
        description: string;
        args: {
            name: string;
            description: string;
            required: boolean;
        }[];
        fn: () => Promise<string>;
    };
}
export default MCPPrompt;
