import type { FulfillmentFn, ResourceTemplateConfig, ResourceTemplateDefinition } from "../types";
declare class MCPResourceTemplate {
    private _definition;
    fn: FulfillmentFn;
    constructor({ uriTemplate, name, description, mimeType, fn, }: ResourceTemplateConfig);
    get definition(): ResourceTemplateDefinition;
    static create(config: ResourceTemplateConfig): MCPResourceTemplate;
    static mocked(): MCPResourceTemplate;
}
export default MCPResourceTemplate;
