import type { ToolConfig, ToolDefinition } from "../types";
import type { Context } from "./Context";
declare class MCPTool {
    private _definition;
    private fn;
    private constructor();
    get definition(): ToolDefinition;
    private generateInputSchema;
    callFn(args?: Record<string, unknown>, context?: Context): Promise<any>;
    static create(config: ToolConfig): MCPTool;
    static mocked(): {
        name: string;
        description: string;
        inputs: {
            name: string;
            type: "string" | "number" | "object" | "array";
            description: string;
            required: boolean;
        }[];
        fn: () => Promise<string>;
    };
}
export default MCPTool;
