import type { ResourceTemplateCache } from "../types";
import type MCPResourceTemplate from "./MCPResourceTemplate";
export default class URI {
    static extractParamsFromURI(uri: string, template: MCPResourceTemplate): Record<string, string> | null;
    static findMatchingTemplate(uri: string, templates: ResourceTemplateCache): MCPResourceTemplate | undefined;
    static createUrlMatcher(handlebarPattern: string): {
        regex: RegExp;
        keys: {
            name: string;
        }[];
    };
    static matchUrl(url: string, matcher: ReturnType<typeof this.createUrlMatcher>): Record<string, string> | null;
}
