import "reflect-metadata";
import type { FunctionConfig, ParameterMetadata } from "../../types";
export declare const metadataKey: unique symbol;
export declare function extractFunctionMetadata(target: any, propertyKey: string | symbol, config: FunctionConfig): {
    parameters: ParameterMetadata[];
    name: string;
    description?: string;
    version?: number;
    optionals?: string[];
};
