/**
 * All other decorators wrap instance methods. This decorator wraps the class itself because Roots do not have logic or function params when they're fulfilled.
 */
export declare function Root(uri: string, config?: {
    name?: string;
}): <T extends {
    new (...args: any[]): {};
}>(constructor: T) => T;
