import type { MimeTypes, ResourceConfig, ResourceDefinition } from "../types";
declare class MCPResource {
    private _definition;
    private fn;
    constructor({ uri, name, description, mimeType, fn }: ResourceConfig);
    get definition(): ResourceDefinition;
    callFn(...args: any): Promise<any>;
    static create(config: ResourceConfig): MCPResource;
    static mocked(): {
        uri: string;
        name: string;
        description: string;
        mimeType: MimeTypes;
        fn: () => Promise<string>;
    };
}
export default MCPResource;
