import type { PromptConfig } from "../types";
export declare class PromptError extends Error {
}
export declare class PromptNotFoundError extends PromptError {
    message: string;
}
export default class PromptManager {
    private prompts;
    private constructor();
    add(config: PromptConfig): void;
    list(): import("../types").PromptDefinition[];
    call(name: string, args?: Record<string, unknown>): Promise<any>;
    static create(): PromptManager;
}
